<template lang="pug">
v-dialog(v-model='dialog' persistent='' max-width='600px')
  v-card
    v-card-title
      span.text-h5 Washing Machine
    v-card-text
      v-container
        v-row
          v-col(cols='12')
            v-text-field(v-model='form.name' label='Name' :rules='[rules.required]' required='')
          v-col(cols='12')
            v-select(v-model='form.color' :items="['red', 'blue', 'green', 'orange', 'yellow']" :rules='[rules.required]' label='Color' required='')
    v-card-actions
      v-spacer
        v-btn(color='blue darken-1' text='' @click='dialog = false') Close
        v-btn(color='blue darken-1' text='' @click='save(form)') Save
</template>

<script>
export default {
  data () {
    return {
      dialog: false,
      isEdit: false,
      form: {
        name: '',
        color: ''
      },
      rules: {
        required: value => !!value || 'Required.'
      }
    }
  },
  methods: {
    async save (item) {
      if (item.name && item.color) {
        if (this.isEdit) {
          this.$emit('edit', this.form)
        } else {
          this.$emit('save', this.form)
        }
        this.dialog = await false
        this.form.name = ''
        this.form.color = ''
      }
    },
    show (data) {
      if (data) {
        this.isEdit = true
      } else {
        this.isEdit = false
      }
      this.dialog = true
      this.form = { ...data }
    }
  }
}
</script>
